#include <netpacket/packet.h>		// for sockaddr_ll

extern char * Inet_HostName(char *ip);
extern char * Inet_NameToIp(char *name);
extern char * Inet_MyIPAddress(void);
extern char * Inet_MyMACAddress(void);
extern char * Inet_MySubnet(void);
extern char Inet_CorrectIface(char *iface);
extern int Inet_HostInLAN(void);
extern int Inet_GetRawSock(char *iface, int *MTU, int *ifnumber, char *MyMAC);
extern int Inet_GetRawPacket(int sock, char *buffer, int MTU, struct sockaddr_ll *from);
extern int Inet_SendRawPacket(int sock, char *buffer, int len, struct sockaddr_ll dest);
extern unsigned short Inet_ChecksumIP(unsigned short *buffer, int size);
extern unsigned short Inet_ChecksumTCP(unsigned short *buffer, unsigned short size, unsigned long IPsource, unsigned long IPdest);
extern void Inet_DisableForwarding(void);
