#ifdef HAVE_CONFIG_H
	#include <config.h>		// autoheader   -I.
#endif

#ifdef HAVE_ATEXIT
	#define exit_func(x)    atexit(x)
#else
	#define exit_func(x)
#endif

#define VERSION "0.1.0.beta"
#define PROGRAM "ettercap"
#define AUTHORS "ALoR & NaGA"

#define loop for(;;)

extern char *program_argv0;

typedef struct host_arp				// hosts in LAN info
{
	char name[128];
	char ip[16];
	char mac[20];
} HOST;


extern HOST *Host_In_LAN;
extern int number_of_hosts_in_lan;

extern HOST Host_Source;
extern HOST Host_Dest;

typedef struct options_list		// arguments passed on command line
{
	char list;
	char connect;
	char sniff;
	char macsniff;
	char normal;
	char netiface[10];
	char con_source[128];
	int port_source;
	char con_dest[128];
	int port_dest;
} OPTIONS;

extern OPTIONS Options;

typedef struct data_connection			// data through the pipe with illithid
{
	char ip_source[16];
	char ip_dest[16];
	int port_source;
	int port_dest;
//	long seq;
//	long ack_seq;
//	int psh:1;
//	int syn:1;
//	int fin:1;
//	int ack:1;
//	int rst:1;
	int datasize;
	char data[2000];		// FIXME perche' con 4096 crea una connessione vuota ?
} SNIFFED_DATA;


typedef struct connection			// connection list
{
	char ip_source[16];
	char ip_dest[16];
	int port_source;
	int port_dest;
	char status;
	char type[15];
} CONNECTION;

extern CONNECTION *Conn_Between_Hosts;
extern int number_of_connections;

extern int pipe_with_illithid[2];
extern int pipe_with_illithid_data[2];
extern int pipe_inject_stod[2];
extern int pipe_inject_dtos[2];

extern char wait_for_signal;

