/* ICMP ping Seq field detection plugin */

#ifndef __SP_ICMP_SEQ_H__
#define __SP_ICMP_SEQ_H__

#include "snort.h"

#define PLUGIN_ICMP_SEQ_CHECK  13

typedef struct _IcmpSeqData
{
  unsigned short icmpseq;

} IcmpSeqData; 

void IcmpSeqCheckInit(char *, OptTreeNode *, int);
void SetupIcmpSeqCheck();
void ParseIcmpSeq(char *, OptTreeNode *);
int IcmpSeqCheck(Packet *, struct _OptTreeNode *, OptFpList *);

#endif  /* __SP_ICMP_SEQ_H__ */
